summaryrefslogtreecommitdiffstats
path: root/vlc
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-12-02 15:44:54 +0000
committer Eric Hameleers <alien@slackware.com>2008-12-02 15:44:54 +0000
commit556d65cce1c4d629f2df18e741383b6e2873fa2d (patch)
tree7c131f6b14e6c65837685bb595dd34eeed680aee /vlc
parent0ad7ea522511b6abc63539da2c21c5b1c839b069 (diff)
downloadasb-556d65cce1c4d629f2df18e741383b6e2873fa2d.tar.gz
asb-556d65cce1c4d629f2df18e741383b6e2873fa2d.tar.xz
Updated to 0.9.8 / added fluidsynth (midi support), updated ffmpeg/x264/live555
Diffstat (limited to 'vlc')
-rwxr-xr-xvlc/build/vlc-1.0.SlackBuild61
1 files changed, 51 insertions, 10 deletions
diff --git a/vlc/build/vlc-1.0.SlackBuild b/vlc/build/vlc-1.0.SlackBuild
index 04c916b4..58763d5d 100755
--- a/vlc/build/vlc-1.0.SlackBuild
+++ b/vlc/build/vlc-1.0.SlackBuild
@@ -130,6 +130,9 @@
# * Updated libtheora to 1.0 and libcdio to 0.81
# 0.9.6-1: 08/nov/2008 by Eric Hameleers <alien@slackware.com>
# * New release. Updated ffmpeg/x264 snapshots.
+# 0.9.8-1: 02/dec/2008 by Eric Hameleers <alien@slackware.com>
+# * New release. Updated ffmpeg/x264/live555 versions. Added midi
+# playback support through fluidsynth
#
# Run 'sh vlc.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -160,14 +163,14 @@ TAG=${TAG:-"alien"}
# SRCVER and VERSION values may be modified later!
# If SRCVER is set to "HEAD" then you get a git snapshot, else we look
# for the tarball in vlc's releases directory.
-SRCVER=${SRCVER:-"0.9.6"}
+SRCVER=${SRCVER:-"0.9.8"}
#SRCVER=${SRCVER:-"HEAD"}
VERSION=${VERSION:-$(echo $SRCVER | tr '-' '.')}
DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog HACKING INSTALL MAINTAINERS \
NEWS README THANKS"
-JOBS=${JOBS:-3} # Number of parallel jobs for the compiler
+JOBS=${JOBS:-7} # Number of parallel jobs for the compiler
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -275,9 +278,9 @@ FAAC=1.26
FAAD2=2.6.1
#FFMPEG=20080731
#FFMPEG=r14080 # latest recommended version for 0.9.0 is r14080 (20080705)
-FFMPEG=r15793 # recommended version for 0.9.2 is r15261 (20080908)
- # but I use 15793 (20081108)
-
+FFMPEG=r15976 # recommended version for 0.9.2 is r15261 (20080908)
+ # but I use 15976 (20081202)
+FLUID=1.0.8
GGI=2.2.2
GII=1.0.2
GOOM=2k4-0
@@ -298,7 +301,7 @@ UPNP=1.6.6
VCD=0.7.23
X264_SAFE=20080301-2245 # In later versions nasm complains
# about 'function hidden'
-X264=20081110-2245 # Needs yasm installed
+X264=20081201-2245 # Needs yasm installed
# Determine what X we're running (the modular X returns the prefix
# in the next command, while older versions stay silent):
@@ -583,6 +586,12 @@ SRCURL[38]="http://downloads.sourceforge.net/libass/libass-$ASS.tar.bz2"
SRCPAT[38]="NO"
USE[38]="YES"
+# FluidSynth - midi playback
+SOURCE[39]="$SRCDIR/fluidsynth-${FLUID}.tar.gz"
+SRCURL[39]="http://download.savannah.gnu.org/releases/fluid/fluidsynth-${FLUID}.tar.gz"
+SRCPAT[39]="NO"
+USE[39]="YES"
+
# CSS decoding- VLC can do without if you install an external libdvdcss package.
#SOURCE[XX]="$SRCDIR/libdvdcss-${DVDCSS}.tar.bz2"
#SRCURL[XX]="http://download.videolan.org/pub/libdvdcss/${DVDCSS}/libdvdcss-${DVDCSS}.tar.bz2"
@@ -1086,7 +1095,6 @@ CXXFLAGS="$SLKCFLAGS" \
LDFLAGS="$SLKLDFLAGS" \
./configure --prefix=/usr \
--with-drm \
- --with-mp4v2 \
--without-xmms \
--enable-static \
--disable-shared \
@@ -1094,6 +1102,8 @@ LDFLAGS="$SLKLDFLAGS" \
--program-suffix="" \
--build=$ARCH-slackware-linux \
2>&1 | tee $OUTPUT/configure-${PRGNAM}_faad2.log
+ # No longer available:
+ #--with-mp4v2 \
make -j${JOBS} 2>&1 | tee $OUTPUT/make-${PRGNAM}_faad2.log
# Add DOCS to the vlcdeps to have it added to vlc package later:
mkdir -p $VLCDEPSDIR/doc/faad2/
@@ -2015,6 +2025,36 @@ cp COPYING Changelog $VLCDEPSDIR/doc/libass/ || true
cd -
}
+
+# -----------------------------------------------------------------------------
+# Compile fluidsynth
+# -----------------------------------------------------------------------------
+make_fluid()
+{
+echo -e "**\n** fluidsynth ...\n**"
+cd $TMP/tmp-$PRGNAM/fluidsynth-$FLUID
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --enable-static \
+ --disable-shared \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_fluid.log
+make -j${JOBS} 2>&1 | tee $OUTPUT/make-${PRGNAM}_fluid.log
+# Install fluid into a temp location so vlc can pickup the library
+echo -e "\n**\n**\n"
+make install DESTDIR=$VLCDEPSDIR \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_fluid.log
+# Add DOCS to the vlcdeps to have it added to vlc package later:
+mkdir -p $VLCDEPSDIR/doc/fluidsynth/
+cp AUTHORS COPYING ChangeLog NEWS README THANKS TODO \
+ $VLCDEPSDIR/doc/fluidsynth/ || true
+cd -
+}
+
# -----------------------------------------------------------------------------
# VLC
# -----------------------------------------------------------------------------
@@ -2136,13 +2176,11 @@ PATH="$VLCDEPSDIR/usr/bin:$PATH" \
--enable-telx \
--disable-zvbi \
--disable-snapshot \
- --disable-musicbrainz \
--enable-libass \
--enable-v4l \
--enable-caca \
--enable-aa \
--enable-galaktos \
- --enable-daap \
--enable-upnp \
--enable-flac \
--enable-shout \
@@ -2198,6 +2236,8 @@ PATH="$VLCDEPSDIR/usr/bin:$PATH" \
# Deprecated:
#--enable-ffmpeg \
#--with-ffmpeg-tree=$TMP/tmp-$PRGNAM/ffmpeg-${FFMPEG} \
+ #--enable-daap \
+ #--disable-musicbrainz \
# At some time, I needed to remove access_mmap from vlc-config because that
# caused my vlc to die after only a few seconds of playtime...
@@ -2383,13 +2423,14 @@ make_matroska
make_libmpeg2
make_mpcdec
make_twolame
-make_daap
+#make_daap
make_upnp
make_oil
make_schroedinger
make_x264
make_live555
make_ass
+make_fluid
# Leave these out for now (0.9.0. testing phase)
#make_goom